<div class="container">
  <div>
    <button mat-raised-button (click)="openDialog()">Add Product</button>
  </div>
  <div>
    <mat-form-field appearance="standard">
      <mat-label>Filter</mat-label>
      <input matInput (keyup)="applyFilter($event)" placeholder="Ex. Mia" #input>
    </mat-form-field>
    
    <div class="mat-elevation-z8">
      <table mat-table [dataSource]="dataSource" matSort>

        <ng-container matColumnDef="order">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> order </th>
          <td mat-cell *matCellDef="let row"> {{row.order}} </td>
        </ng-container>
  
        <ng-container matColumnDef="_id">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> ID </th>
          <td mat-cell *matCellDef="let row"> {{row._id}} </td>
        </ng-container>
    
        <ng-container matColumnDef="name">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> name </th>
          <td mat-cell *matCellDef="let row"> {{row.name}} </td>
        </ng-container>
    
        <ng-container matColumnDef="quantity">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> quantity </th>
          <td mat-cell *matCellDef="let row"> {{row.quantity}} </td>
        </ng-container>
    
        <ng-container matColumnDef="price">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> price </th>
          <td mat-cell *matCellDef="let row"> {{row.price | currency}} </td>
        </ng-container>

        <ng-container matColumnDef="created_at">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> created_at </th>
          <td mat-cell *matCellDef="let row"> {{row.created_at | date}} </td>
        </ng-container>

        <ng-container matColumnDef="updated_at">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> updated_at </th>
          <td mat-cell *matCellDef="let row"> {{row.updated_at | date}} </td>
        </ng-container>

        <ng-container matColumnDef="action">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> Action </th>
          <td mat-cell *matCellDef="let row">
            <button mat-icon-button color="primary" (click)="editProduct(row)"><mat-icon>edit</mat-icon></button>
            <button mat-icon-button color="warn" (click)="deleteProduct(row._id)"><mat-icon>delete</mat-icon></button>
          </td>
        </ng-container>
    
        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    
        <tr class="mat-row" *matNoDataRow>
          <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
        </tr>
      </table>
    
      <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" aria-label="Select page of users"></mat-paginator>
    </div>
  </div>

</div>